/* ========== header ========== */
header {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 999;
}

.header__inner {
    display: flex;
    align-items: start;
    justify-content: space-between;
    gap: 10.3rem;
    margin: 0 auto;
    padding: 2.4rem 3.6rem;
    opacity: .85;
    background: rgba(255, 255, 255, 0.90);
    will-change: filter, background-color;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.header__inner.is-invert,
.header__inner.is-invert .header__nav__btn {
    filter: invert(1);
    background: none;
}

.header__inner .header__logo {
    width: 13rem;
    position: relative;
    z-index: 9999;
}

.header__inner .header__logo img {
    width: 100%;
}

.header__inner .header__nav-pc {
    position: relative;
    z-index: 999;
}

.header__inner .fix_menu {
    display: flex;
    gap: 3.5rem;
    justify-content: end;
    align-items: center;
}

.header__inner .parent_menu {
    position: relative;
    display: block;
    padding-bottom: .3rem;
    font-size: 1.5rem;
    line-height: 1;
    letter-spacing: 0.12rem;
    cursor: pointer;
}

.header__inner .online_shop_btn {
    display: block;
    border: solid 1px #000;
    border-radius: 10rem;
    padding: .8rem 2.4rem;
    padding-bottom: 0.95rem;
    line-height: 1;
    transition: .3s;
}

.header__inner .online_shop_btn:hover {
    background-color: #000;
    color: #fff;
}

.header__inner .search_icon .parent_menu {
    margin-left: -2rem;
    cursor: pointer;
}

.header__inner .parent_menu::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -4px;
    width: 100%;
    height: 1px;
    background: currentColor;
    transform: scaleX(0);
    transform-origin: left;
    transition: transform 0.3s ease;
}

.header__inner .parent_menu:hover::after {
    transform: scaleX(1);
}

.header__inner li:nth-child(7) .parent_menu::after,
.header__inner li:nth-child(8) .parent_menu::after {
    display: none;
}

.header__inner .parent_menu svg {
    display: block;
    width: 3.6rem;
    height: 3.6rem;
    overflow: visible;
}

.header__nav__entry {
    font-size: 3.8rem;
    color: #fff;
    background-color: #42a0d9;
    border-radius: 10rem;
    padding: .3rem 4rem;
    margin-left: 2rem;
}


/* ================================================
    メニューにホバーしたら表示されるメニュー
================================================ */
.header__inner .parent_menu {
    position: relative;
    z-index: 10;
}

.header__inner .child_menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;

    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity .3s;
}

/* 子メニューはデフォルトで非表示 */
.header__inner li .child_menu {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity 0.3s, visibility 0.3s;
}

/* クリックで表示 */
.header__inner li.is-open .child_menu {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

.header__inner.is-invert {
    transition: filter 0.3s;
}

.header__inner.is-invert:has(li.is-open .child_menu),
.header__inner.is-invert:has(.search_icon.is-open .child_menu) {
    filter: invert(0);
}

.header__inner .child_menu__inner {
    position: relative;
    gap: 16.7rem;
    justify-content: center;
    width: 100%;
    margin: 0 auto;
    background: rgba(244, 244, 244, 1);
    padding: 10rem 0 5rem;
    z-index: 1;
}

.child_menu__title .parent_menu {
    display: flex;
    gap: 1.5rem;
    transition: .3s;
}

.child_menu__title .parent_menu:hover {
    opacity: .65;
}

.child_menu__title .parent_menu svg {
    margin-top: 1rem;
    width: 2.7rem;
    height: 2.7rem;
}

.child_menu__title .parent_menu::after {
    content: none;
}

.header__inner .child_menu__title h2 {
    font-size: 4rem;
    font-weight: 500;
    text-align: right;
    width: fit-content;
}

.header__inner .child_menu__title h2 span {
    display: block;
    color: #553100;
    font-size: 2.2rem;
    font-family: "Zen Kaku Gothic New";
    font-weight: 400;
    letter-spacing: .1em;
    margin-top: .5rem;
}

.header__inner .child_menu__list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 3rem;
}

.header__inner .child_menu__list>* {
    width: auto;
}

.header__inner .child_menu__list li a {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 1.6rem !important;
    position: relative;
    width: 20.8rem;
    padding-bottom: .5rem;
}

.header__inner .child_menu__list li a::before,
.header__inner .child_menu__list li a::after {
    content: "";
    display: block;
    position: absolute;
    bottom: 0;
    height: 1px;
    width: 0;
    left: 0;
    transition: width 0.3s ease;
}

.header__inner .child_menu__list li a::before {
    width: 100%;
    background: #aeaeae;

}

.header__inner .child_menu__list li a::after {
    background: #000;
    z-index: 5;
}


.header__inner .child_menu__list li a:hover::after {
    width: 100%;

}

.header__inner .child_menu__list li a svg {
    width: 2rem !important;
}


/* =============== 検索フォームのスタイル =============== */
.search_icon .child_menu__list {
    display: block;
    position: relative;
}

.child_menu__list .search-form-container {
    position: relative;
    min-width: 40rem;
    display: flex;
    gap: 2rem;
}

.child_menu .close-btn {
    position: absolute;
    right: 5rem;
    bottom: 2rem;
    width: 3.7rem;
    height: 1.95rem;
    z-index: 1;
}

.child_menu .close-btn:hover {
    opacity: .65;
}

.child_menu__list .search-field {
    background-color: #fff;
    border: 1px solid #000;
    padding: 1rem 1.5rem;
    border-radius: 10rem;
    font-size: 1.7rem;
    outline: none;
    width: 46rem;
    height: 4.6rem;
}

.child_menu__list .search-field:focus {
    border-color: #333;
}

.child_menu__list .search-submit svg {
    position: absolute;
    cursor: pointer;
    right: 2rem;
    top: 50%;
    transform: translateY(-50%);
    width: 2rem;
    height: 2rem;
}

.child_menu__list .parent_menu.search_icon {
    position: relative;
}

.search-field::-webkit-search-cancel-button {
    -webkit-appearance: none;
    appearance: none;
    display: none;
}

@media screen and (max-width:767px) {
    .search-field {
        border: none;
    }
}

@media screen and (max-width:767px) {

    .header__inner {
        padding: 1.5rem;
        gap: 0;
        opacity: 1;
    }

    .header__inner:has(.header__nav__btn.active) {
        background-color: #988E7D;
        opacity: 1;
        filter: invert(0);
    }

    .header__inner .header__logo {
        margin-right: auto;
        width: 11.9rem;
    }

    .header__inner:has(.header__nav__btn.active) .header__logo {
        filter: invert(1);
    }

    .header__inner .header__nav-pc {
        display: none;
    }

    .header__inner .header__nav-sp {
        display: block;
    }

    .header__nav__btn {
        position: relative;
        cursor: pointer;
        width: 4.5rem;
        height: 3.5rem;
        z-index: 11;
    }

    .header__nav__btn span {
        position: absolute;
        right: 0;
        height: .1rem;
        background: #000;
        transition: transform .4s, width .4s;
    }

    .header__inner.is-invert .header__nav__btn span {
        background: #fff;
    }

    .header__inner:has(.header__nav__btn.active) .header__nav__btn span {
        filter: invert(1);
    }

    /* 上の線 */
    .header__nav__btn span:nth-of-type(1) {
        top: 50%;
        width: 5rem;
        transform: translateY(-0.6rem);
    }

    /* 下の線 */
    .header__nav__btn span:nth-of-type(2) {
        top: 50%;
        width: 3.5rem;
        transform: translateY(0.6rem);
    }

    /* active */
    .header__nav__btn.active span:nth-of-type(1) {
        top: 1.5rem;
        left: 1rem;
        transform: rotate(-25deg);
        width: 80%;
    }

    .header__nav__btn.active span:nth-of-type(2) {
        top: 1.5rem;
        left: 1rem;
        transform: rotate(25deg);
        width: 80%;
    }

    .header__nav__entry {
        margin-left: auto;
    }

    .header__nav__open {
        display: none;
        position: fixed;
        top: 7rem;
        left: 0;
        height: calc(100dvh - 7rem);

        width: 100vw;
        background-color: #988E7D;
        padding: 3rem;
        overflow-y: scroll;
    }

    .search-form-wrapper {
        width: 100%;
        max-width: 35rem;
        margin: 0 auto;
    }

    .search-form {
        position: relative;
        display: flex;
        align-items: center;
        border: 1px solid #ddd;
        border-radius: 5rem;
        padding: 2rem 0;
        margin-bottom: 3rem;
        background: transparent;
    }

    .search-field {
        flex: 1;
        background: transparent;
        border: none;
        color: #fff;
        padding: 0 1.5rem;
        font-size: 1.6rem;
        outline: none;
        -webkit-tap-highlight-color: transparent;
        -webkit-appearance: none;
    }

    .search-field:-webkit-autofill,
    .search-field:-webkit-autofill:hover,
    .search-field:-webkit-autofill:focus,
    .search-field:-webkit-autofill:active {
        -webkit-text-fill-color: #fff !important;
        transition: background-color 99999s ease-in-out 0s;
    }

    .search-field:focus {
        outline: none;
    }

    .search-field::-webkit-search-cancel-button {
        -webkit-appearance: none;
        appearance: none;
        display: none;
    }

    .search-field::placeholder {
        color: #eee;
        opacity: 1;
    }

    .search-submit {
        position: absolute;
        right: 1rem;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 4rem;
        height: 4rem;
        border: none;
        border-radius: 50%;
        cursor: pointer;
        padding: 0;
        flex-shrink: 0;
        transition: opacity 0.3s;
        background-color: initial;
    }

    .search-submit:hover {
        opacity: 0.8;
    }

    .header__nav__open__content .search-submit svg {
        fill: #fff;
        width: 3.6rem;
        height: 3.6rem;
    }


    /* ========================================================= */


    .header__nav__open__content {
        max-height: calc(100dvh - 20rem);
        width: 100%;
    }

    .header__nav__open__content ul li:last-child {
        border-bottom: none;
        border-radius: 0 0 3rem 3rem;
    }

    .header__nav__open__content ul li+li {
        border-top: none;
    }

    .header__nav__open__content ul li .header__nav__open__nav--en {
        font-family: 'Roboto', sans-serif;
        font-size: 7.4rem;
        font-weight: 300;
        font-style: italic;
    }

    .header__nav__open__content ul li .header__nav__open__nav--en span {
        font-weight: 500;
    }

    .header__nav__open__content ul li .header__nav__open__nav--ja {
        font-size: 2.1rem;
    }

    .header__nav__open .header__nav__entry-sp {
        display: block;
        font-size: 6.8rem;
        color: #42a0d9;
        background-color: #fff;
        border-radius: 10rem;
        padding: 2rem 4rem;
        margin: 5.6rem auto 2rem;
        width: 43.9rem;
        text-align: center;
    }

    /* / header__nav__open */
}


/* =============== accordion =============== */
.header__nav__menu__title {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
}

.header__nav__menu__title__cont {
    display: flex;
    gap: 4rem;
    color: #fff;
    padding: 1rem 0 2rem;
}

.header__nav__menu__title-small {
    font-size: 1.2rem !important;
}

.header__nav__menu__title p,
.header__nav__menu__title a {
    font-size: 2rem;
    font-weight: 400;
    color: #fff;
    line-height: 1;
    padding: 2rem 0;
}

.header__nav__menu__title img {
    width: 100%;
}

/* icon 1 */
.header__nav__menu__title__icon {
    position: relative;
    display: inline-block;
    width: 100%;
    height: 100%;
    margin-right: 3rem;
    transition: all 0s;
}

.header__nav__menu__title__icon:before,
.header__nav__menu__title__icon:after {
    position: absolute;
    content: "";
    display: block;
    transition: all 0.4s;
    background: #fff;
    width: 1.6rem;
    height: 0.1rem;
    transform: translate(-50%, -50%);
}

.header__nav__menu__title__icon:before {
    transform: translate(-50%, -50%) rotate(90deg);
}

/* icon 2 */
.header__nav__menu__title__icon:before {
    transform: translate(-50%, -50%) rotate(90deg);
}

.header__nav__menu__title__icon.contact {
    position: absolute;
    display: inline-block;
    width: 3.8rem;
    height: 0.2rem;
    margin-right: 2rem;
    top: 50%;
    right: 3rem;
}

.header__nav__menu__title__icon.contact::before,
.header__nav__menu__title__icon.contact::after {
    content: "";
    position: absolute;
    top: calc(50% - 2px);
    right: 0;
    width: 2.5rem;
    height: 0.2rem;
    border-radius: 5rem;
    transform-origin: calc(100% - 1px) 50%;
}

.header__nav__menu__title__icon.contact::before {
    transform: rotate(45deg);
}

.header__nav__menu__title__icon.contact::after {
    transform: rotate(-45deg);
}


.header__nav__menu__contents a {
    display: block;
    color: #fff;
    font-size: 1.6rem;
    padding: 1.6rem 0;
    padding-left: 4rem;
    line-height: 1;
}

.header__nav__menu__contents a:last-child {
    border-bottom: none;
}

.header__nav__menu__title__icon.open:before {
    transform: translate(-50%, -50%) rotate(0deg);
}

/* ========== / header ========== */